Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface AbsoluteOrderingType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  AbsoluteOrderingTypeImpl

    public interface AbsoluteOrderingType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `absoluteOrderingType` xsd type

Original Documentation:

Please see section 8.2.2 of the specification for details.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getNameList()` Returns all `name` elements
`java.lang.Boolean` | `isOthers()`
`AbsoluteOrderingType<T>` | `others()`
`AbsoluteOrderingType<T>` | `removeAllName()` Removes the `name` element
`AbsoluteOrderingType<T>` | `setName(java.lang.String name)` Creates a new `name` element
`AbsoluteOrderingType<T>` | `setNameList(java.lang.String... values)` Creates for all String objects representing `name` elements, a new `name` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setName

    AbsoluteOrderingType<T> setName(java.lang.String name)

  Creates a new `name` element

  Returns:
    the current instance of `AbsoluteOrderingType`

### setNameList

    AbsoluteOrderingType<T> setNameList(java.lang.String... values)

  Creates for all String objects representing `name` elements, a new `name` element

  Parameters:
    `list` - of `name` objects
  Returns:
    the current instance of `AbsoluteOrderingType`

### removeAllName

    AbsoluteOrderingType<T> removeAllName()

  Removes the `name` element

  Returns:
    the current instance of `AbsoluteOrderingType`

### getNameList

    java.util.List<java.lang.String> getNameList()

  Returns all `name` elements

  Returns:
    list of `name`

### others

    AbsoluteOrderingType<T> others()

### isOthers

    java.lang.Boolean isOthers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD